local _, namespace = ...

local L = setmetatable({}, { __index = function(t, k)
	local v = tostring(k)
	rawset(t, k, v)
	return v
end })

namespace.L = L

local LOCALE = GetLocale()

if LOCALE == "enUS" then
	L[" "]= " ";
	-- The EU English game client also
	-- uses the US English locale code.
return end

if LOCALE == "deDE" then
	-- German translations go here
	L[" When:"] = " Wann:";			
	L[" Where:"] = " Wo:";		-- SPLASH_BOOST_FEATURE1_TITLE
	L[" "] = " Uhr";			-- TIMEMANAGER_TITLE
	L[" What:"] = " Was:";
	L["Achievement"] = "Erfolg"			-- TRANSMOG_SOURCE_5
	L["Transmogrification"] = "Transmogrifikation"		--SPLASH_LEGION_NEW_7_2_FEATURE2_TITLE
	L["<Right Click> for preview"] = "<Rechtsklick> für Vorschau"
	L["<Left Click> for collection"] = "<Linksklick> für Sammlung"
	L[" show me everything"] = " zeige allen Krempel"
	L["|cFFff4040<Left Click>|r to open log"] = "|cFFff4040Linksklick,|r um Recent zu öffnen"
	L["|cFFff4040<Right Click>|r to open options"] = "|cFFff4040Rechtsklick|r für Optionen"
	L["log party loot"]= "logge Loot deiner Mitstreiter"
	L["also logs loot of other players when in party or raid"] = "speichert auch den Loot deiner Gruppen- bzw. des Schlachtzugsmitglieder"
	L["show minimap button"] = "zeige Minimap-Schalter an"
	L["show or hide that little icon on your minimap"]="zeigt oder versteckt den Minimap-Schalter"
	L[" also show party loot"]=" Loot der Mitstreiter"
return end


if LOCALE == "ruRU" then
	-- russian translations go here
	L[" When:"] = " Когда:";  
	L[" Where:"] = " Где:";
	L[" What:"] = " Что:";
	L["Achievement"] = "Достижение"
	L["Transmogrification"] = "Трансмогрификация"
	L["<Right Click> for preview"] = "<ПКМ> Предварительный просмотр"
	L["<Left Click> for collection"] = "<ЛKM> коллекция"
	L[" show me everything"] = " zeige allen Krempel"
	L["|cFFff4040<Left Click>|r to open log"] = "|cFFff4040ЛKM,|r Открыть Recent"
	L["|cFFff4040<Right Click>|r to open options"] = "|cFFff4040ПКМ|r Открыть окно настроек"
return end


if LOCALE == "esES" then
	-- spanish translations go here
	L[" When:"] = " cuándo:";			
	L[" Where:"] = " donde:";		-- SPLASH_BOOST_FEATURE1_TITLE
	L[" What:"] = " qué:";
	L["Achievement"] = "éxito"			-- TRANSMOG_SOURCE_5
	L["Transmogrification"] = "transmogrificación"		--SPLASH_LEGION_NEW_7_2_FEATURE2_TITLE
	L["<Right Click> for preview"] = "<clic derecho> para vista previa"
	L["<Left Click> for collection"] = "<clic izquierdo> para colección"
	L["|cFFff4040Click|r to open log"] = "|cFFff4040clic|r para recent"	
return end

if LOCALE == "frFR" then
	-- french translations go here
	L[" When:"] = " quand:";			
	L[" Where:"] = " où:";		-- SPLASH_BOOST_FEATURE1_TITLE
	L[" "] = " h";			-- TIMEMANAGER_TITLE
	L[" What:"] = " ce qui:";
	L["Achievement"] = "succès"			-- TRANSMOG_SOURCE_5
	L["Transmogrification"] = "transmogrification"		--SPLASH_LEGION_NEW_7_2_FEATURE2_TITLE
	L["<Right Click> for preview"] = "<clic droit> pour aperçu"
	L["<Left Click> for collection"] = "<clic gauche> pour collection"
	L["|cFFff4040Click|r to open log"] = "|cFFff4040clic|r pour recent"
return end